org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration

## Class ElementIdStrategyProcessTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration.ElementIdStrategyProcessTest

-     public class ElementIdStrategyProcessTest
      extends AbstractGremlinProcessTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementIdStrategyProcessTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldGenerateDefaultIdOnAddEWithGeneratedId()`
    `void` | `shouldGenerateDefaultIdOnAddEWithSpecifiedId()`
    `void` | `shouldGenerateDefaultIdOnAddVWithGeneratedCustomId()`
    `void` | `shouldGenerateDefaultIdOnAddVWithGeneratedDefaultId()`
    `void` | `shouldGenerateDefaultIdOnAddVWithSpecifiedId()`
    `void` | `shouldGenerateDefaultIdOnGraphAddVWithGeneratedCustomId()`
    `void` | `shouldGenerateDefaultIdOnGraphAddVWithGeneratedDefaultId()`
    `void` | `shouldGenerateDefaultIdOnGraphAddVWithSpecifiedId()`
    `void` | `shouldSetIdOnAddEWithIdPropertyKeySpecifiedAndNameSuppliedAsProperty()`
    `void` | `shouldSetIdOnAddEWithNamePropertyKeySpecifiedAndNameSuppliedAsProperty()`
    `void` | `shouldSetIdOnAddVWithIdPropertyKeySpecifiedAndIdSuppliedAsProperty()`
    `void` | `shouldSetIdOnAddVWithIdPropertyKeySpecifiedAndNameSuppliedAsProperty()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementIdStrategyProcessTest

          public ElementIdStrategyProcessTest()

  - ### Method Detail

    - #### shouldGenerateDefaultIdOnGraphAddVWithGeneratedDefaultId

          public void shouldGenerateDefaultIdOnGraphAddVWithGeneratedDefaultId()
                                                                        throws Exception

      Throws:
        `Exception`

    - #### shouldGenerateDefaultIdOnGraphAddVWithGeneratedCustomId

          public void shouldGenerateDefaultIdOnGraphAddVWithGeneratedCustomId()
                                                                       throws Exception

      Throws:
        `Exception`

    - #### shouldSetIdOnAddVWithIdPropertyKeySpecifiedAndNameSuppliedAsProperty

          public void shouldSetIdOnAddVWithIdPropertyKeySpecifiedAndNameSuppliedAsProperty()
                                                                                    throws Exception

      Throws:
        `Exception`

    - #### shouldSetIdOnAddVWithIdPropertyKeySpecifiedAndIdSuppliedAsProperty

          public void shouldSetIdOnAddVWithIdPropertyKeySpecifiedAndIdSuppliedAsProperty()
                                                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldGenerateDefaultIdOnGraphAddVWithSpecifiedId

          public void shouldGenerateDefaultIdOnGraphAddVWithSpecifiedId()
                                                                 throws Exception

      Throws:
        `Exception`

    - #### shouldGenerateDefaultIdOnAddVWithGeneratedDefaultId

          public void shouldGenerateDefaultIdOnAddVWithGeneratedDefaultId()
                                                                   throws Exception

      Throws:
        `Exception`

    - #### shouldGenerateDefaultIdOnAddVWithGeneratedCustomId

          public void shouldGenerateDefaultIdOnAddVWithGeneratedCustomId()
                                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldGenerateDefaultIdOnAddVWithSpecifiedId

          public void shouldGenerateDefaultIdOnAddVWithSpecifiedId()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldGenerateDefaultIdOnAddEWithSpecifiedId

          public void shouldGenerateDefaultIdOnAddEWithSpecifiedId()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldGenerateDefaultIdOnAddEWithGeneratedId

          public void shouldGenerateDefaultIdOnAddEWithGeneratedId()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldSetIdOnAddEWithIdPropertyKeySpecifiedAndNameSuppliedAsProperty

          public void shouldSetIdOnAddEWithIdPropertyKeySpecifiedAndNameSuppliedAsProperty()
                                                                                    throws Exception

      Throws:
        `Exception`

    - #### shouldSetIdOnAddEWithNamePropertyKeySpecifiedAndNameSuppliedAsProperty

          public void shouldSetIdOnAddEWithNamePropertyKeySpecifiedAndNameSuppliedAsProperty()
                                                                                      throws Exception

      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.